
Installer - Bug #31515

Update from 3.17.0 to 3.17.1 fails with error

12/15/2020 06:05 PM - Gerald Vogt

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 2.2.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

See also this topic

I am trying to update my katello 3.17.0 server to 3.17.1. After I update the package I run foreman-installer which fails with errors.

[ INFO 2020-12-15T18:13:02 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]: Starting to evaluate the resource (1184 of 

2352)

[DEBUG 2020-12-15T18:13:02 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]: 'pulpcore-manager collectstatic --noinput' 

won't be executed because of failed check 'refreshonly'

[DEBUG 2020-12-15T18:13:02 main]  Exec[pulpcore-manager collectstatic --noinput](provider=posix): 

Executing 'pulpcore-manager collectstatic --noinput'

[DEBUG 2020-12-15T18:13:02 main]  Executing with uid=pulp: 'pulpcore-manager collectstatic --noinp

ut'

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns: pulp: pulp_2to3_migration.app.plugi

n:INFO: Plugin pulp_deb is not installed in pulp3 therefore it will not be migrated from pul

p2

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns: Traceback (most recent call last):

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/bin/pulpcore-manager",

 line 11, in <module>

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     load_entry_point('pulpcore==3.7

.3', 'console_scripts', 'pulpcore-manager')()

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/pulpcore/app/manage.py", line 11, in manage

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     execute_from_command_line(sys.a

rgv)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/core/management/__init__.py", line 381, in execute_from_command_line

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     utility.execute()

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/core/management/__init__.py", line 375, in execute

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     self.fetch_command(subcommand).

run_from_argv(self.argv)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/core/management/base.py", line 323, in run_from_argv
[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     self.execute(*args, **cmd_optio

ns)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/core/management/base.py", line 364, in execute

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     output = self.handle(*args, **o

ptions)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/contrib/staticfiles/management/commands/collectstatic.py", line 188, in handle

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     collected = self.collect()

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/contrib/staticfiles/management/commands/collectstatic.py", line 114, in collect

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     handler(path, prefixed_path, st

orage)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/contrib/staticfiles/management/commands/collectstatic.py", line 342, in copy_file

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     if not self.delete_file(path, p

refixed_path, source_storage):

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/contrib/staticfiles/management/commands/collectstatic.py", line 292, in delete_file

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     self.storage.delete(prefixed_pa

th)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:   File "/usr/lib/python3.6/site-pac

kages/django/core/files/storage.py", line 303, in delete

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns:     os.remove(name)

[ WARN 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]/returns: PermissionError: [Errno 13] Permiss

ion denied: '/var/lib/pulp/assets/admin/css/base.css'

[ERROR 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]: Failed to call refresh: 'pulpcore-manager c

ollectstatic --noinput' returned 1 instead of one of [0]

[ERROR 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]: 'pulpcore-manager collectstatic --noinput' 

returned 1 instead of one of [0]

[ INFO 2020-12-15T18:13:04 main]  /Stage[main]/Pulpcore::Static/Pulpcore::Admin[collectstatic --no

input]/Exec[pulpcore-manager collectstatic --noinput]: Evaluated in 2.01 seconds

 If I understand the messages correctly, it’s running the command as user ‘pulp’. However, user ‘pulp’ cannot write file

/var/lib/pulp/assets/admin/css/base.css as those files and directores belong ‘root’.

$ ls -al /var/lib/pulp/assets/

total 0

drwxr-xr-x.  6 pulp pulp  78 Aug 12 14:31 .

drwxrwxr-x. 13 pulp pulp 234 Nov 10 16:08 ..

drwxr-xr-x.  6 root root  51 May 12  2020 admin

drwxr-xr-x.  5 root root 193 May 12  2020 drf-yasg

drwxr-xr-x.  2 root root  49 Aug 12 14:31 import_export

drwxr-xr-x.  7 root root  63 May 12  2020 rest_framework

$ ls -al /var/lib/pulp/assets/admin/css/

total 100

drwxr-xr-x. 3 root root   237 Aug 12 14:31 .

drwxr-xr-x. 6 root root    51 May 12  2020 ..

-rw-r--r--. 1 root root  8440 May 12  2020 autocomplete.css

-rw-r--r--. 1 root root 16378 Aug 12 14:31 base.css

-rw-r--r--. 1 root root  6170 Aug 12 14:31 changelists.css
-rw-r--r--. 1 root root   412 Aug 12 14:31 dashboard.css

-rw-r--r--. 1 root root   423 May 12  2020 fonts.css

-rw-r--r--. 1 root root  8518 Aug 12 14:31 forms.css

-rw-r--r--. 1 root root  1233 Aug 12 14:31 login.css

-rw-r--r--. 1 root root 17944 Aug 12 14:31 responsive.css

-rw-r--r--. 1 root root  1921 Aug 12 14:31 responsive_rtl.css

-rw-r--r--. 1 root root  3808 Aug 12 14:31 rtl.css

drwxr-xr-x. 3 root root    21 May 12  2020 vendor

-rw-r--r--. 1 root root 10340 Aug 12 14:31 widgets.css

History

#1 - 12/16/2020 06:46 PM - Samir Jha

- Target version set to Katello 3.17.2

- Triaged changed from No to Yes

#2 - 01/14/2021 08:34 PM - James Jeffers

- Project changed from Katello to Installer

- Category deleted (Installer)

- Target version deleted (Katello 3.17.2)

- Found in Releases 2.2.0 added

- Found in Releases deleted (Katello 3.17.0)
